The Master Production Schedule Item object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
item_code string
warehouse string
delivery_date string
planned_qty number
order_release_date string
item_name string
bom_no string
uom string
cumulative_lead_time integer
The Master Production Schedule Item object
{
  "id": "master-production-schedule-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "delivery_date": "2024-01-15",
  "planned_qty": 0,
  "order_release_date": "2024-01-15",
  "item_name": "item_name_example",
  "bom_no": "bom_no_example",
  "uom": "uom_example",
  "cumulative_lead_time": 0
}
GET /api/manufacturing/master-production-schedule-item?parent_id={id}

List master production schedule items by parent

Returns all master production schedule items belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of master production schedule item objects belonging to the parent.

GET /api/manufacturing/master-production-schedule-item?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/master-production-schedule-item?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "master-production-schedule-item_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "item_code": "item_code_example",
      "warehouse": "warehouse_example",
      "delivery_date": "2024-01-15",
      "planned_qty": 0,
      "order_release_date": "2024-01-15",
      "item_name": "item_name_example",
      "bom_no": "bom_no_example",
      "uom": "uom_example",
      "cumulative_lead_time": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/master-production-schedule-item

Create a master production schedule item

Creates a new master production schedule item object.

Body parameters

idx integer
parent_id string required
parent_type string required
item_code string
warehouse string
delivery_date string
planned_qty number
order_release_date string
item_name string
bom_no string
uom string
cumulative_lead_time integer

Returns

Returns the newly created master production schedule item object if the call succeeded.

POST /api/manufacturing/master-production-schedule-item
curl https://api.overplane.dev/api/manufacturing/master-production-schedule-item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "master-production-schedule-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "delivery_date": "2024-01-15",
  "planned_qty": 0,
  "order_release_date": "2024-01-15",
  "item_name": "item_name_example",
  "bom_no": "bom_no_example",
  "uom": "uom_example",
  "cumulative_lead_time": 0
}
PATCH /api/manufacturing/master-production-schedule-item/{id}

Update a master production schedule item

Updates the specified master production schedule item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the master production schedule item to update.

Body parameters

idx integer
parent_id string
parent_type string
item_code string
warehouse string
delivery_date string
planned_qty number
order_release_date string
item_name string
bom_no string
uom string
cumulative_lead_time integer

Returns

Returns the updated master production schedule item object.

PATCH /api/manufacturing/master-production-schedule-item/{id}
curl https://api.overplane.dev/api/manufacturing/master-production-schedule-item/master-production-schedule-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "master-production-schedule-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "delivery_date": "2024-01-15",
  "planned_qty": 0,
  "order_release_date": "2024-01-15",
  "item_name": "item_name_example",
  "bom_no": "bom_no_example",
  "uom": "uom_example",
  "cumulative_lead_time": 0
}
DELETE /api/manufacturing/master-production-schedule-item/{id}

Delete a master production schedule item

Permanently deletes a master production schedule item. This cannot be undone.

Path parameters

id string required

The identifier of the master production schedule item to delete.

Returns

Returns a confirmation that the master production schedule item has been deleted.

DELETE /api/manufacturing/master-production-schedule-item/{id}
curl https://api.overplane.dev/api/manufacturing/master-production-schedule-item/master-production-schedule-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "master-production-schedule-item_abc123",
  "deleted": true
}
POST /api/manufacturing/master-production-schedule-item/reorder

Reorder master production schedule items

Updates the sort order of master production schedule items within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/master-production-schedule-item/reorder
curl https://api.overplane.dev/api/manufacturing/master-production-schedule-item/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "master-production-schedule-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "delivery_date": "2024-01-15",
  "planned_qty": 0,
  "order_release_date": "2024-01-15",
  "item_name": "item_name_example",
  "bom_no": "bom_no_example",
  "uom": "uom_example",
  "cumulative_lead_time": 0
}